<?php
namespace Claromentis\Infocapture\ExpressionLanguage\Nodes;

$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"] = (@$GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"] ?: array()) + array("_ab3af949cef8cd611e" . "6e3bf6915cd03c" => base64_decode("Zmllb" . "GQgdm" . "FsdWU" . "="), "_e85897e30" . "79d1459adf" . "e0c771a8f0" . "9ea" => base64_decode("ZmllbGQgbGF" . "iZWw="));
class FieldNode extends Node
{
    const TYPE_LABEL = "@";
    const TYPE_VALUE = "\$";
    protected $name;
    protected $op;
    public function __construct($_6cdc8166e97f8f02b18a8c0f49844a7f, $_5c59c380aa5c5e5f18f039ad7757fe97)
    {
        $this->name = $_5c59c380aa5c5e5f18f039ad7757fe97;
        $this->op = $_6cdc8166e97f8f02b18a8c0f49844a7f;
    }
    
    
    
    
    public function Children() : array
    {
        return [$this->name];
    }
    public function Name() : string
    {
        if ($this->op === self::TYPE_LABEL) {
            return $GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_e85897e3079d1459adfe0" . "c771a8f09ea"];
        } else {
            return $GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_ab3af949cef8cd611e6e3bf691" . "5cd03c"];
        }
    }
    public function Type()
    {
        return $this->op;
    }
}